<template>
  <div id="app">
    <h2>{{ show("Welcome to this tutorial with") }}</h2>

    <p v-html=websiteTag></p>
    <a v-on:click="clickAlert" v-bind:href="website">Bahis Sitesi</a>


    <p>{{ number }} 
    <button v-on:click="number++">Add</button> 
    <button v-on:click="number--">Decrease</button>
    <button v-on:click.once="number++">Bir Defa Arttır</button> </p>


    <h2 style="text-align:left">Coordinates</h2>
    <div id="box" v-on:mousemove="updateXY">{{x}}, {{y}}</div>


    <p>HTML Input: <input v-on:keyup.enter="input" id="entry"> {{ text }}</p>
    <p>Vue Input: <input v-model="textVue">  You Write: {{ textVue }}</p>

    <div style="padding-top:10px">
      <h2>Computed Properties</h2>
      <button v-on:click="a++">Add toA</button>
      <button v-on:click="b++">Add toB</button>
      <p>A:{{a}} &nbsp;&nbsp;&nbsp; B:{{b}} &nbsp;&nbsp;&nbsp; Age: {{ age }}</p>
      <p>Age + A={{ addToA }}</p>
      <p>Age + B={{ addToB }}</p> 
    </div>

    <h2>Dynamic CSS Classes</h2>
    <button v-on:click="trueFalse = ! trueFalse">Push Me</button>
    <div  v-bind:class="{background:trueFalse}"></div>

    <h2>Conditionals</h2>
    <button v-on:click="error=!error">Toggle Error</button>
    <button v-on:click="success=!success">Toggle Sucess</button>
    <p v-if="error">404 Not Found</p>
    <p v-else-if="success">Bravoo!!, You R Successfull</p>
    <!--<p v-show="error">404 Not Found</p>
    <p v-show="success">Bravoo!!, You R Successfull</p>-->
    <LocalComponent></LocalComponent>
  </div>
</template>




<script>
import LocalComponent from "./LocalComponent.vue";
export default {
    data: () => ({
        name: "Murat Ş.",
        topic: "Vue JS",
        website: "https://www.youtube.com/watch?v=hPr-Yc92qaY",
        websiteTag: "<a href='https://gitlab.com/murat.sahin/vue-js-tutorial'> GitLab</a>",
        number: 100,
        x: "",
        y: "",
        text: "",
        textVue: "",
        a: "",
        b: "",
        age: 70,
        trueFalse: false,
        error: false,
        success: false
    }),
    methods: {
        show: function (text) {
            return text + " " + this.name + " on " + this.topic;
        },
        updateXY: function (event) {
            console.log(event);
            this.x = event.offsetX;
            this.y = event.offsetY;
        },
        clickAlert: function () {
            alert("Emin misin ?");
        },
        input: function () {
            this.text = "You Entered " + "\"" + document.getElementById("entry").value + "\"";
        }
    },
    computed: {
        addToA: function () {
            return this.a + this.age;
        },
        addToB: function () {
            return this.b + this.age;
        }
    },
    components: {
    LocalComponent
}
}
</script>




<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin: 60px 0px 0px 60px;
}

#box {
  width: 50%;
  padding: 100px 0px;
  text-align: center;
  -webkit-box-shadow: 0px 0px 11px 6px rgba(0,0,0,0.67); 
  box-shadow: 0px 0px 11px 6px rgba(0,0,0,0.67);
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  border-radius: 7px;
  margin-bottom: 20px;
}
.background {
  margin-top: 20px;
  background-color: red;
  width: 100px;
  height: 100px;
  text-align: center;
}
</style>